package com.cku.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cku.core.BaseDAOMapper;
import com.cku.model.CkuMatchHotel;

public interface CkuMatchHotelMapper extends BaseDAOMapper<CkuMatchHotel> {
	public List<CkuMatchHotel> getHotel(String showLocation);
	public List<CkuMatchHotel> getList(@Param("name")String name,@Param("address")String address,@Param("limit")Long limit,@Param("count")Long count);
	public long getCount(@Param("name")String name,@Param("address")String address);
	//查询赛事酒店信息
	public CkuMatchHotel selectById(@Param("id")long id);
	
}